;InnoSetupVersion=2.0.8

[Setup]
AppName=Boss Everyware 2.5
AppVerName=Boss Everyware 2.5
AppId=Boss Everyware 2.5
DefaultDirName={sys}\Wsa32
DefaultGroupName=Boss Everyware 2
UninstallDisplayName=Boss Everyware 2
OutputBaseFilename=setup
Compression=zip
DisableDirPage=yes
DisableProgramGroupPage=yes
ChangesAssociations=yes
LicenseFile=embedded\License.txt
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{sys}\wsa32.exe"; DestDir: "{sys}"; Flags: restartreplace overwritereadonly 
Source: "{sys}\wsa32.dll"; DestDir: "{sys}"; Flags: restartreplace overwritereadonly 
Source: "{app}\LICENSE.TXT"; DestDir: "{app}"; 
Source: "{app}\Readme.txt"; DestDir: "{app}"; Flags: overwritereadonly 
Source: "{app}\Be2.chm"; DestDir: "{app}"; Flags: overwritereadonly 
Source: "{app}\Bewrep.exe"; DestDir: "{app}"; Flags: overwritereadonly 
Source: "{app}\rmbew.exe"; DestDir: "{app}"; Flags: overwritereadonly 
Source: "{app}\Beconfig.exe"; DestDir: "{app}"; Flags: overwritereadonly 
Source: "{sys}\psapi.dll"; DestDir: "{sys}"; Flags: uninsneveruninstall 
Source: "{app}\pcsetup.32"; DestDir: "{app}"; 

[Dirs]
Name: "{app}\Logs"; 

[Registry]
Root: HKCU; Subkey: "Software\Jmerik\BossEveryware\2.1"; Flags: uninsdeletekey 
Root: HKCR; Subkey: ".ber"; ValueType: String; ValueData: "BER"; Flags: uninsdeletevalue 
Root: HKCR; Subkey: "BER\Shell"; Flags: uninsdeletevalue 
Root: HKCR; Subkey: "BER\Shell\Open"; Flags: uninsdeletevalue 
Root: HKCR; Subkey: "BER\Shell\Open\Command"; ValueType: String; ValueData: "{app}\bewrep.exe ""%1"""; Flags: uninsdeletevalue 
Root: HKCR; Subkey: "BER\DefaultIcon"; ValueType: String; ValueData: "{app}\bewrep.exe,0"; Flags: uninsdeletevalue 
Root: HKCR; Subkey: "BER"; ValueType: String; ValueData: "Boss Everyware Report"; Flags: uninsdeletevalue 
Root: HKCR; Subkey: ".elt"; ValueType: String; ValueData: "ELT"; Flags: uninsdeletevalue 
Root: HKCR; Subkey: "ELT\Shell"; Flags: uninsdeletevalue 
Root: HKCR; Subkey: "ELT\Shell\Open"; Flags: uninsdeletevalue 
Root: HKCR; Subkey: "ELT\Shell\Open\Command"; ValueType: String; ValueData: "{app}\bewrep.exe ""%1"""; Flags: uninsdeletevalue 
Root: HKCR; Subkey: "ELT\DefaultIcon"; ValueType: String; ValueData: "{app}\bewrep.exe,1"; Flags: uninsdeletevalue 
Root: HKCR; Subkey: "ELT"; ValueType: String; ValueData: "ELT file"; Flags: uninsdeletevalue 
Root: HKCR; Subkey: ".dbf"; ValueType: String; ValueData: "DBF"; Flags: createvalueifdoesntexist uninsdeletevalue 
Root: HKCR; Subkey: "DBF\Shell"; Flags: createvalueifdoesntexist uninsdeletevalue 
Root: HKCR; Subkey: "DBF\Shell\Open"; Flags: createvalueifdoesntexist uninsdeletevalue 
Root: HKCR; Subkey: "DBF\Shell\Open\Command"; ValueType: String; ValueData: "{app}\bewrep.exe ""%1"""; Flags: createvalueifdoesntexist uninsdeletevalue 
Root: HKCR; Subkey: "DBF\DefaultIcon"; ValueType: String; ValueData: "{app}\bewrep.exe,1"; Flags: createvalueifdoesntexist uninsdeletevalue 
Root: HKCR; Subkey: "DBF"; ValueType: String; ValueData: "DBF (dBase) file"; Flags: createvalueifdoesntexist uninsdeletevalue 
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\App Paths\WSA32.EXE"; ValueType: String; ValueData: "{sys}\WSA32.EXE"; Flags: uninsdeletekey 
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\App Paths\bewrep.exe"; ValueType: String; ValueData: "{app}\bewrep.exe"; Flags: uninsdeletekey 
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\App Paths\beconfig.exe"; ValueType: String; ValueData: "{app}\beconfig.exe"; Flags: uninsdeletekey 
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Run"; ValueName: "SysWsa32"; ValueType: String; ValueData: "{sys}\Wsa32.exe"; Flags: uninsdeletevalue 
Root: HKLM; Subkey: "Software\Jmerik\BossEveryware\2.1"; Flags: uninsdeletekey 
Root: HKLM; Subkey: "Software\Jmerik\BossEveryware\2.1"; ValueName: "IT"; ValueType: Dword; ValueData: "$0"; Flags: uninsdeletevalue 

[Run]
Filename: "{app}\Beconfig.exe"; WorkingDir: "{app}"; Description: "Launch Logger Configurator"; Flags: postinstall nowait
Filename: "{win}\hh.exe"; Parameters: "{app}\Be2.chm::html\be30002.htm"; Description: "Open Tutorial"; Flags: shellexec skipifdoesntexist postinstall unchecked 

[Icons]
Name: "{group}\Logger Configurator"; Filename: "{app}\beconfig.exe"; WorkingDir: "{app}"; IconFilename: "{app}\beconfig.exe"; Comment: "Control monitoring of computer usage"; 
Name: "{group}\Report Manager"; Filename: "{app}\bewrep.exe"; WorkingDir: "{app}"; IconFilename: "{app}\bewrep.exe"; Comment: "View and analyse computer usage logs"; 
Name: "{group}\Hide Boss Everyware"; Filename: "{app}\rmbew.exe"; Parameters: "/h"; WorkingDir: "{app}"; IconFilename: "{app}\rmbew.exe"; Comment: "Remove Boss Everyware program group, file associations, Boss Everyware help files and uninstall icon from the Add/Remove Programs"; 
Name: "{group}\Boss Everyware Help"; Filename: "{app}\Be2.chm"; WorkingDir: "{app}"; Comment: "Boss Everyware Help"; 

[UninstallDelete]
Type: files; Name: "{sys}\bewldr32.exe"; 
Type: files; Name: "{sys}\Wsa32.exe"; 
Type: files; Name: "{sys}\Wsa32.dll"; 
Type: files; Name: "{win}\behive.dat"; 
Type: files; Name: "{app}\behive.tmp"; 
Type: dirifempty; Name: "{sys}\Wsa32"; 
